variables:
  APP_HELM_NAME: proof-manager
  DOCKER_FILE: deployment/ci/Dockerfile
  GOOGLE_IMAGE: ${GOOGLE_LIGHT_REGISTRY_URL}/gaiax/$CI_PROJECT_NAME:$CI_COMMIT_REF_NAME

stages:
  - build
  - manifest

include:
  - project: 'gaiax/ocm/ci-helpers'
    file: 'docker-build.yml'
  - template: 'Workflows/Branch-Pipelines.gitlab-ci.yml'

amd64:
  extends: .docker-build
  stage: build
  tags:
    - amd64-docker

manifest:
  extends: .manifest-amd64
  stage: manifest

manifest-release:
  extends: .manifest-release
  stage: manifest

manifest-cloud:
  extends: .manifest-cloud
  stage: manifest
